<div *ngIf="!localEdit">
  <div class="flex-container chef-home-heading" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
    <div fxLayout="column" fxFlex="20" fxLayoutAlign="center">
      <div fxLayout="row" fxLayoutAlign="center">
        <span *ngIf="isSalad" class="hugeicon-Salad"></span>
        <span *ngIf="isDrink && !isSalad && !isMeal" class="hugeicon-Drink"></span>
        <span *ngIf="isMeal && !isSalad && !isDrink" class="hugeicon-Meal"></span>
      </div>
    </div>
    <div fxLayout="column" fxFlex="20" fxLayoutAlign="center">
      <div fxLayout="row" fxLayoutAlign="center">
        <span>{{parentFoodA.foodName}}</span>
      </div>
    </div>
    <div fxLayout="column" fxFlex="20" fxLayoutAlign="center">
      <div fxLayout="row" fxLayoutAlign="center">
        <span>{{parentFoodA.description}}</span>
      </div>
    </div>
    <div fxLayout="column" fxFlex="20" fxLayoutAlign="center">
      <div fxLayout="row" fxLayoutAlign="center">
        <div fxLayout="column">
          <span>{{parentFoodA.price}}</span>
        </div>
        <div fxLayout="column">
          <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
        </div>
      </div>
    </div>
    <div fxLayout="column" fxFlex="20" fxLayoutAlign="center">
      <div fxLayout="row" fxLayoutAlign="center">
        <span *ngIf="!isNotArchived">
          <span mdTooltip="Edit a food from the list.">
            <button (click)="editLocalEdit()" md-fab><md-icon><span class="material-icons">mode_edit</span></md-icon>
        </button>
        </span>
        <span *ngIf="foodOrdered">
            <span mdTooltip="Delete a food from the list.">
              <button [disabled]="deleteFoodConfirm" (click)="deleteFood()" md-mini-fab><md-icon><span class="material-icons">delete_forever</span></md-icon>
        </button>
        <md-spinner *ngIf="deleteFoodConfirm"></md-spinner>
        </span>
        </span>
        <span *ngIf="!foodOrdered">
            <span mdTooltip="This food cannot deleted from the list.">
              <button [disabled]="true" md-mini-fab><md-icon><span class="material-icons">delete_forever</span></md-icon>
        </button>
        </span>
        </span>
        </span>
        <span *ngIf="isNotArchived"><md-icon class="material-icons">archive</md-icon></span>
      </div>
    </div>
  </div>
</div>

<div *ngIf="localEdit">
  <app-chef-home-food-edit (editDone)="catchEditDone($event)" [parentFoodB]="parentFoodA"></app-chef-home-food-edit>
</div>
